com.google.gwt.user.client.ui

## Class ListenerWrapper.WrappedLogicalChangeListener<V>

- java.lang.Object
- - com.google.gwt.user.client.BaseListenerWrapper<T>
  - - com.google.gwt.user.client.ui.ListenerWrapper<ChangeListener>
    - - com.google.gwt.user.client.ui.ListenerWrapper.WrappedLogicalChangeListener<V>

- Type Parameters:
    `V` - the type of the value changed
  All Implemented Interfaces:
    ValueChangeHandler<V>, EventHandler
  Enclosing class:
    ListenerWrapper<T>

  Deprecated.
  will be removed in GWT 2.0 along with the listeners being wrapped

      @Deprecated
      public static class ListenerWrapper.WrappedLogicalChangeListener<V>
      extends ListenerWrapper<ChangeListener>
      implements ValueChangeHandler<V>

  Wrapper for a `ChangeListener` being converted to a logical `ValueChangeHandler`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

      `ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <V> ListenerWrapper.WrappedLogicalChangeListener<V>` | `add(HasValueChangeHandlers<V> source, ChangeListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes
    `void` | `onValueChange(ValueChangeEvent<V> event)` Deprecated. Called when `ValueChangeEvent` is fired.
    `static void` | `remove(Widget eventSource, ChangeListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes

    - ### Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper

      `baseRemove, getSource, setSource`

    - ### Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper

      `baseRemove, getListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          @Deprecated
          public static <V> ListenerWrapper.WrappedLogicalChangeListener<V> add(HasValueChangeHandlers<V> source,
                                                                                            ChangeListener listener)

      Deprecated. will be removed in GWT 2.0 along with the listener classes
      Adds the wrapped listener.
      Type Parameters:
        `V` - the type of value changed
      Parameters:
        `source` - the event source
        `listener` - the listener
      Returns:
        the wrapped listener

    - #### remove

          @Deprecated
          public static void remove(Widget eventSource,
                                                ChangeListener listener)

      Deprecated. will be removed in GWT 2.0 along with the listener classes
      Removes the wrapped listener.
      Parameters:
        `eventSource` - the event source from which to remove the wrapped listener
        `listener` - the listener to remove

    - #### onValueChange

          public void onValueChange(ValueChangeEvent<V> event)

      Deprecated.
      Description copied from interface: `ValueChangeHandler`
      Called when `ValueChangeEvent` is fired.
      Specified by:
        `onValueChange` in interface `ValueChangeHandler<V>`
      Parameters:
        `event` - the `ValueChangeEvent` that was fired